org.apache.activemq.artemis.spi.core.remoting.ssl

## Class SSLContextConfig.Builder

- java.lang.Object
- - org.apache.activemq.artemis.spi.core.remoting.ssl.SSLContextConfig.Builder

- Enclosing class:
    SSLContextConfig

      public static final class SSLContextConfig.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SSLContextConfig` | `build()`
    `SSLContextConfig.Builder` | `crlPath(String crlPath)`
    `SSLContextConfig.Builder` | `from(SSLContextConfig config)`
    `SSLContextConfig.Builder` | `keystorePassword(String keystorePassword)`
    `SSLContextConfig.Builder` | `keystorePath(String keystorePath)`
    `SSLContextConfig.Builder` | `keystoreProvider(String keystoreProvider)`
    `SSLContextConfig.Builder` | `keystoreType(String keystoreType)`
    `SSLContextConfig.Builder` | `trustAll(boolean trustAll)`
    `SSLContextConfig.Builder` | `trustManagerFactoryPlugin(String trustManagerFactoryPlugin)`
    `SSLContextConfig.Builder` | `truststorePassword(String truststorePassword)`
    `SSLContextConfig.Builder` | `truststorePath(String truststorePath)`
    `SSLContextConfig.Builder` | `truststoreProvider(String truststoreProvider)`
    `SSLContextConfig.Builder` | `truststoreType(String truststoreType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public SSLContextConfig.Builder from(SSLContextConfig config)

    - #### build

          public SSLContextConfig build()

    - #### keystorePath

          public SSLContextConfig.Builder keystorePath(String keystorePath)

    - #### keystoreType

          public SSLContextConfig.Builder keystoreType(String keystoreType)

    - #### keystorePassword

          public SSLContextConfig.Builder keystorePassword(String keystorePassword)

    - #### keystoreProvider

          public SSLContextConfig.Builder keystoreProvider(String keystoreProvider)

    - #### truststorePath

          public SSLContextConfig.Builder truststorePath(String truststorePath)

    - #### truststoreType

          public SSLContextConfig.Builder truststoreType(String truststoreType)

    - #### truststorePassword

          public SSLContextConfig.Builder truststorePassword(String truststorePassword)

    - #### truststoreProvider

          public SSLContextConfig.Builder truststoreProvider(String truststoreProvider)

    - #### crlPath

          public SSLContextConfig.Builder crlPath(String crlPath)

    - #### trustAll

          public SSLContextConfig.Builder trustAll(boolean trustAll)

    - #### trustManagerFactoryPlugin

          public SSLContextConfig.Builder trustManagerFactoryPlugin(String trustManagerFactoryPlugin)

Copyright © 2021 The Apache Software Foundation. All rights reserved.